mdsh.com/wiki


RecentChanges

TextFormattingRules
AllWikiTopics
OrphanedWikiTopics
ToDoWikiTopics
WikiLockList
RSS
Export2HTML

WikiSearch

SetUsername

StartingPoints
Home
Eclipse:Java 8 on Yosemite

Eclipse (Juno SR 2) does not start on Apple OS X Yosemite (10.10)

Overview

I upgraded from Mavericks to Yosemite. In Mavericks Eclipse (Juno SR 2) worked. In Yosemite it does not.
Running Eclipse (Juno SR 2) I am presented with an alert telling me "To open "Eclipse," you need a Java SE 6 runtime."

The problem

Java 1.8 Info.plist does not include "BundledApp" in the JVMCapabilities dict, thus Java apps will not start

The Solution

I can work-around this problem by changing Java 8's Info.plist.

$ sudo vim /Library/Java/JavaVirtualMachines/jdk1.8.0.jdk/Contents/Info.plist

add 'BundledApp', 'WebStart' and 'Applets' to the array of JVMCapabilities:

...
<key>JavaVM</key>
<dict>
<key>JVMCapabilities</key>
<array>
<string>CommandLine</string>
<!-- add the following three JVMCapabilities -->
<string>BundledApp</string>
<string>WebStart</string>
<string>Applets</string>
</array>
...


And then restart Finder & Dock.

$ sudo killall -KILL Dock
$ sudo killall -KILL Finder


Eclipse:Java 8 on Yosemite is mentioned on: Eclipse | OSX


VeryQuickWiki Version 2.8.1 | Admin

All contents copyright mdsh.com (C) 2011-2018.